Method: projects.locations.brands.stores.inventories.patch

Updates the specified inventory.

HTTP request

PATCH https://foodorderingaiagent.googleapis.com/v1beta/{inventory.name=projects/*/locations/*/brands/*/stores/*/inventories/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
inventory.name

string

Identifier. The resource name of the inventory. Format: projects/{project}/locations/{location}/brands/{brand}/stores/{store}/inventories/{inventory}

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

allowMissing

boolean

Optional. If set to true, and the inventory is not found, a new inventory will be created. In this situation, updateMask is ignored.

Request body

The request body contains an instance of Inventory.

Response body

If successful, the response body contains an instance of Inventory.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.